Page 2 of 2 FirstFirst 12
Results 11 to 13 of 13

Thread: How to compile a program?

  1. #11
    Join Date
    Feb 2013
    Beans
    Hidden!

    Re: How to compile a program?

    Quote Originally Posted by Kols View Post
    Is it possible to run a compile process which would automatically fetch the needed packages?
    This won't work I'm afraid. You cannot always infer the package names from configure output. Often, you have to search for them with apt-file.

  2. #12
    Join Date
    Jul 2007
    Location
    Magic City of the Plains
    Beans
    Hidden!
    Distro
    Xubuntu 14.10 Utopic Unicorn

    Re: How to compile a program?

    Have you read the README file? There's a lot of info there on what you need to compile pdfedit.

    ./configure is a program; it's a shell script that does some grunt work for you before running make.

    Also see (if you haven't already) https://help.ubuntu.com/community/CompilingEasyHowTo

    https://help.ubuntu.com/community/CompilingSoftware

  3. #13
    Join Date
    Apr 2012
    Beans
    5,524

    Re: How to compile a program?

    Since pdfedit is 0.4.5 is available on 12.04 you could maybe use the build-deps from that as a starting point:

    Code:
    $ sudo apt-get --dry-run build-dep pdfedit
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following NEW packages will be installed:
      cdbs comerr-dev dh-translations doxygen intltool krb5-multidev libaudio-dev libboost-iostreams-dev libcups2-dev libgcrypt11-dev libgnutls-dev
      libgnutls-openssl27 libgnutlsxx27 libgpg-error-dev libgssrpc4 libjpeg-dev libjpeg-turbo8-dev libjpeg8-dev libkadm5clnt-mit8 libkadm5srv-mit8 libkdb5-6
      libkrb5-dev liblcms1-dev libmng-dev libp11-kit-dev libpaper-dev libqt3-headers libqt3-mt libqt3-mt-dev libtasn1-3-dev libxml-parser-perl python-scour
      qt3-dev-tools xsltproc
    .
    .
    .
    Code:
    $ apt-cache search --names-only pdfedit
    pdfedit - Editor for manipulating PDF documents
    $
    $ apt-cache policy pdfedit
    pdfedit:
      Installed: (none)
      Candidate: 0.4.5-2
      Version table:
         0.4.5-2 0
            500 http://ca.archive.ubuntu.com/ubuntu/ precise/universe i386 Packages
    $

Page 2 of 2 FirstFirst 12

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •